Search for %s
- Search 7.x for %s
- Search 9.5.x for %s
- Search 10.3.x for %s
- Search 11.x for %s
- Search main for %s
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| pager.css | file | core/ |
Styles for Bartik's pagination. |
| pager.css | file | core/ |
Visual styles for pager. |
| pager.css | file | core/ |
Visual styles for pager. |
| pager.css | file | core/ |
Visual styles for pager. |
| pager.css | file | core/ |
Styles for Seven's Pagination. |
| pager.css | file | core/ |
Visual styles for pager. |
| pager.parameters | service | core/ |
Drupal\Core\Pager\PagerParameters |
| pager.pcss.css | file | core/ |
Styles for Claro's Pagination. |
| Pager::$totalItems | property | core/ |
The total number of items . |
| Pager::$totalPages | property | core/ |
The total number of pages. |
| Pager::getTotalItems | function | core/ |
Gets the total number of items. |
| Pager::getTotalPages | function | core/ |
Gets the total number of pages. |
| Pager::setCurrentPage | function | core/ |
Sets the current page to a valid value within range. |
| Pager::setTotalPages | function | core/ |
Sets the total number of pages. |
| Pager::__construct | function | core/ |
Pager constructor. |
| PagerDeprecationTest | class | core/ |
Ensure that deprecated pager functions trigger deprecation errors. |
| PagerDeprecationTest.php | file | core/ |
|
| PagerDeprecationTest::testDefaultInitialize | function | core/ |
@expectedDeprecation pager_default_initialize is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use \Drupal\Core\Pager\PagerManagerInterface->createPager() instead. See https://www.drupal.org/node/2779457 |
| PagerDeprecationTest::testFindPage | function | core/ |
@expectedDeprecation pager_find_page is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use \Drupal\Core\Pager\PagerParametersInterface->findPage() instead. See https://www.drupal.org/node/2779457 |
| PagerDeprecationTest::testGetQueryParameters | function | core/ |
@expectedDeprecation pager_get_query_parameters is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use \Drupal\Core\Pager\PagerParametersInterface->getQueryParameters() instead. See https://www.drupal.org/node/2779457 |
| PagerDeprecationTest::testQueryAddPage | function | core/ |
@expectedDeprecation pager_query_add_page is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use \Drupal\Core\Pager\PagerManagerInterface->getUpdatedParameters() instead. See https://www.drupal.org/node/2779457 |
| PageRenderTest | class | core/ |
Test page rendering hooks. |
| PageRenderTest.php | file | core/ |
|
| PageRenderTest::assertPageRenderHookExceptions | function | core/ |
Asserts whether expected exceptions are thrown for invalid hook implementations. |
| PageRenderTest::testHookPageAlter | function | core/ |
Tests hook_page_attachments_alter() exceptions. |
| PageRenderTest::testHookPageAttachmentsExceptions | function | core/ |
Tests hook_page_attachments() exceptions. |
| PagerKernelTest | class | core/ |
Tests pager-related APIs. |
| PagerKernelTest.php | file | core/ |
|
| PagerKernelTest::$modules | property | core/ |
Modules to enable. |
| PagerKernelTest::$testViews | property | core/ |
Views to be enabled. |
| PagerKernelTest::setUp | function | core/ |
|
| PagerKernelTest::testSetPagerMethods | function | core/ |
Tests pager-related setter methods on ViewExecutable. |
| PagerManager::$pagerParams | property | core/ |
The pager parameters. |
| PagerManager::$pagers | property | core/ |
An associative array of pagers. |
| PagerManager::getUpdatedParameters | function | core/ |
Gets the URL query parameter array of a pager link. |
| PagerManager::setPager | function | core/ |
Saves a pager to the static cache. |
| PagerManager::updateGlobals | function | core/ |
Updates global variables with a pager data for backwards compatibility. |
| PagerManager::__construct | function | core/ |
Construct a PagerManager object. |
| PagerManagerInterface::getUpdatedParameters | function | core/ |
Gets the URL query parameter array of a pager link. |
| PagerManagerTest | class | core/ |
@group Pager |
| PagerManagerTest.php | file | core/ |
|
| PagerManagerTest::testDefaultInitializeGlobals | function | core/ |
@covers ::createPager[[api-linebreak]] |
| PagerManagerTest::testGetUpdatedParameters | function | core/ |
@covers ::getUpdatedParameters[[api-linebreak]] |
| PagerManagerTest::testGlobalsSafety | function | core/ |
@group legacy @expectedDeprecation Global variable $pager_page_array is deprecated in drupal:8.8.0 and is removed in drupal:9.0.0. Use \Drupal\Core\Pager\PagerManagerInterface instead. See https://www.drupal.org/node/2779457 @expectedDeprecation… |
| PagerParameters | class | core/ |
Provides pager information contained within the current request. |
| PagerParameters.php | file | core/ |
|
| PagerParameters::$requestStack | property | core/ |
The HTTP request stack. |
| PagerParameters::findPage | function | core/ |
Returns the current page being requested for display within a pager. |
| PagerParameters::getPagerParameter | function | core/ |
Gets the 'page' query parameter for the current request. |
| PagerParameters::getPagerQuery | function | core/ |
Gets the request query parameter. |
Pagination
- Previous page
- Page 925
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.